Create or update an array of places
https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/places
Request
There are no request parameters for this operation.
- application/json
array150-
Array of:
object PlaceOracle
Title:
PlaceOracleThe place resource.
objectPlaceOracle-
@baseType: string
The base type of the place.
-
@schemaLocation: string
The URI of the schema that defines the place.
-
@type(required): string
The class type of the place.
-
applicationName: string
The name of the application associated with the place.
-
created: string
(date-time)
The date and time of the place creation.
-
createdBy: string
The name of the person who created the place.
-
description: string
The description of place.
-
externalId: string
The ID of the external associated with the place.
-
href: string
The hyperlink reference to the place.
-
id: string
Maximum Length:
30The ID of the place. -
lastUpdate: string
(date-time)
The date and time when the place was last updated.
-
lastUpdatedBy: string
The name of the person who updated the place.
-
lifecycleStatus: string
The status of the place.
-
name(required): string
The name of the place.
-
project: object
ProjectRef
Title:
ProjectRefThe project reference resource. -
validFor: object
TimePeriod
Title:
TimePeriodThe period for which the productOffering is valid. -
version: string
The place version.
-
versionState: number
The version state of the place.
objectProjectRef-
href: string
The hyperlink reference to the project reference.
-
id(required): string
The ID of the project reference.
-
name: string
The name of the project reference.
-
version: string
The version of the project.
objectTimePeriod-
endDateTime: string
(date-time)
The end date and time of the time period.
-
startDateTime: string
(date-time)
The start date and time of the time period.
Response
- application/json
200 Response
array-
Array of:
object PlaceOracle
Title:
PlaceOracleThe place resource.
objectPlaceOracle-
@baseType: string
The base type of the place.
-
@schemaLocation: string
The URI of the schema that defines the place.
-
@type(required): string
The class type of the place.
-
applicationName: string
The name of the application associated with the place.
-
created: string
(date-time)
The date and time of the place creation.
-
createdBy: string
The name of the person who created the place.
-
description: string
The description of place.
-
externalId: string
The ID of the external associated with the place.
-
href: string
The hyperlink reference to the place.
-
id: string
Maximum Length:
30The ID of the place. -
lastUpdate: string
(date-time)
The date and time when the place was last updated.
-
lastUpdatedBy: string
The name of the person who updated the place.
-
lifecycleStatus: string
The status of the place.
-
name(required): string
The name of the place.
-
project: object
ProjectRef
Title:
ProjectRefThe project reference resource. -
validFor: object
TimePeriod
Title:
TimePeriodThe period for which the productOffering is valid. -
version: string
The place version.
-
versionState: number
The version state of the place.
objectProjectRef-
href: string
The hyperlink reference to the project reference.
-
id(required): string
The ID of the project reference.
-
name: string
The name of the project reference.
-
version: string
The version of the project.
objectTimePeriod-
endDateTime: string
(date-time)
The end date and time of the time period.
-
startDateTime: string
(date-time)
The start date and time of the time period.
400 Response
array-
Array of:
object Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "Error":"#/components/schemas/Error", "BulkError":"#/components/schemas/BulkError" } }
401 Response
objectError-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
404 Response
objectError-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
405 Response
objectError-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
500 Response
objectError-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
Examples
The following example shows how to create or update an array of places by submitting a put request on the REST resource using cURL.
cURL Command
curl -u username:password -X PUT
https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/place
-H 'Content-Type: application/json' -D @put_places.json | json_pp
Example of Request Body
The following shows an example of the request body in JSON format.
[
{
"id": "PLACE-3109730862",
"name": "Mumbai",
"description": "Mumbai Circle",
"@type": "PlaceOracle",
"validFor": {
"startDateTime": "2025-09-12T00:00:00.000Z",
"endDateTime": "2025-10-09T00:00:00.000Z"
},
"project": {
"id": "P-2341675923-1758270057151",
"name": "Retire Init3",
"@type": "ProjectRef",
"@referredType": "ProjectOracle"
},
"version": "1.0",
"lifecycleStatus": "In design"
},
{
"id": "PLACE-3109730863",
"name": "Kerala",
"description": "Kerala Circle",
"@type": "PlaceOracle",
"validFor": {
"startDateTime": "2025-09-12T00:00:00.000Z",
"endDateTime": "2025-10-09T00:00:00.000Z"
},
"project": {
"id": "P-2341675923-1758270057151",
"name": "Retire Init3",
"@type": "ProjectRef",
"@referredType": "ProjectOracle"
},
"version": "1.0",
"lifecycleStatus": "In design"
}
]
Example of Response Body
The following shows an example of the response body in JSON format.
[
{
"id": "PLACE-3109730862",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/place/PLACE-3109730862",
"name": "Mumbai",
"description": "Mumbai Circle",
"lifecycleStatus": "In design",
"lastUpdate": "2025-10-23T08:09:44.080Z",
"validFor": {
"startDateTime": "2025-09-12T00:00:00.000Z",
"endDateTime": "2025-10-09T00:00:00.000Z"
},
"version": "1.0",
"@type": "PlaceOracle",
"project": {
"id": "P-2341675923-1758270057151",
"name": "Retire Init3",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/P-2341675923-1758270057151",
"version": "1.0",
"@referredType": "ProjectOracle",
"@type": "ProjectRef"
},
"lastUpdatedBy": "booth",
"created": "2025-10-23T08:09:44.000Z",
"createdBy": "booth",
"versionState": 0
},
{
"id": "PLACE-3109730863",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/place/PLACE-3109730863",
"name": "Kerala",
"description": "Kerala Circle",
"lifecycleStatus": "In design",
"lastUpdate": "2025-10-23T08:09:44.080Z",
"validFor": {
"startDateTime": "2025-09-12T00:00:00.000Z",
"endDateTime": "2025-10-09T00:00:00.000Z"
},
"version": "1.0",
"@type": "PlaceOracle",
"project": {
"id": "P-2341675923-1758270057151",
"name": "Retire Init3",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/P-2341675923-1758270057151",
"version": "1.0",
"@referredType": "ProjectOracle",
"@type": "ProjectRef"
},
"lastUpdatedBy": "booth",
"created": "2025-10-23T08:09:44.000Z",
"createdBy": "booth",
"versionState": 0
}
]